// ==================================================
//	touchMeConstants.h
//	Copyright (C) 1996 Mizutori Tetsuya, July 4 1996.
// ==================================================
//	All documents are pretty-printed in Geneva 10-point font.

#pragma once

const ResIDT	rSTRx_TouchMe					= 1000;

enum ErSTRx_TouchMe {
	rSTRx_TouchMe_PrefFile = 1,
	rSTRx_TouchMe_HelpMenu,
	rSTRx_TouchMe_End
};


const PaneIDT	kNoPaneID						= -1;

const ResIDT	rPPob_TouchMeDialog				= 1000;
const ResIDT	rRidL_TouchMeDialog				= rPPob_TouchMeDialog;

const PaneIDT	kTmeD_ButtonOK				= 1;
const PaneIDT	kTmeD_ButtonCencel				= 2;
const PaneIDT	kTmeD_ButtonHelp				= 3;
const PaneIDT	kTmeD_TouchMeIcon				= 4;
const PaneIDT	kTmeD_Title					= 5;
const PaneIDT	kTmeD_Credit					= 6;
const PaneIDT	kTmeD_Version					= 7;
const PaneIDT	kTmeD_ButtonSync				= 10;

const PaneIDT	kTmeD_CrCheckbox				= 110;
const PaneIDT	kTmeD_CrButtonCurrent			= 120;
const PaneIDT	kTmeD_CrButtonDirect			= 121;
const PaneIDT	kTmeD_CrButtonFirst				= 122;
const PaneIDT	kTmeD_CrButtonSecond			= 123;
const PaneIDT	kTmeD_CrTextEditDate			= 130;
const PaneIDT	kTmeD_CrTextEditTime			= 131;
const PaneIDT	kTmeD_CrButtonNow				= 132;

const PaneIDT	kTmeD_MdCheckbox				= 210;
const PaneIDT	kTmeD_MdButtonCurrent			= 220;
const PaneIDT	kTmeD_MdButtonDirect			= 221;
const PaneIDT	kTmeD_MdButtonFirst				= 222;
const PaneIDT	kTmeD_MdButtonSecond			= 223;
const PaneIDT	kTmeD_MdTextEditDate			= 230;
const PaneIDT	kTmeD_MdTextEditTime			= 231;
const PaneIDT	kTmeD_MdButtonNow				= 232;


const CommandT	cmd_TouchMeDialog				= rPPob_TouchMeDialog;
const CommandT	cmd_TmeD_ButtonOK				= -(cmd_TouchMeDialog+kTmeD_ButtonOK);
const CommandT	cmd_TmeD_ButtonCencel			= -(cmd_TouchMeDialog+kTmeD_ButtonCencel);
const CommandT	cmd_TmeD_ButtonHelp			= cmd_TouchMeDialog+kTmeD_ButtonHelp;
const CommandT	cmd_TmeD_TouchMeIcon			= cmd_TouchMeDialog+kTmeD_TouchMeIcon;
const CommandT	cmd_TmeD_Title					= cmd_TouchMeDialog+kTmeD_Title;
const CommandT	cmd_TmeD_ButtonSync			= cmd_TouchMeDialog+kTmeD_ButtonSync;

const CommandT	cmd_TmeD_CrCheckbox			= cmd_TouchMeDialog+kTmeD_CrCheckbox;
const CommandT	cmd_TmeD_CrButtonCurrent		= cmd_TouchMeDialog+kTmeD_CrButtonCurrent;
const CommandT	cmd_TmeD_CrButtonDirect			= cmd_TouchMeDialog+kTmeD_CrButtonDirect;
const CommandT	cmd_TmeD_CrButtonFirst			= cmd_TouchMeDialog+kTmeD_CrButtonFirst;
const CommandT	cmd_TmeD_CrButtonSecond			= cmd_TouchMeDialog+kTmeD_CrButtonSecond;
const CommandT	cmd_TmeD_CrTextEditDate			= cmd_TouchMeDialog+kTmeD_CrTextEditDate;
const CommandT	cmd_TmeD_CrTextEditTime			= cmd_TouchMeDialog+kTmeD_CrTextEditTime;
const CommandT	cmd_TmeD_CrButtonNow			= cmd_TouchMeDialog+kTmeD_CrButtonNow;

const CommandT	cmd_TmeD_MdCheckbox			= cmd_TouchMeDialog+kTmeD_MdCheckbox;
const CommandT	cmd_TmeD_MdButtonCurrent		= cmd_TouchMeDialog+kTmeD_MdButtonCurrent;
const CommandT	cmd_TmeD_MdButtonDirect			= cmd_TouchMeDialog+kTmeD_MdButtonDirect;
const CommandT	cmd_TmeD_MdButtonFirst			= cmd_TouchMeDialog+kTmeD_MdButtonFirst;
const CommandT	cmd_TmeD_MdButtonSecond			= cmd_TouchMeDialog+kTmeD_MdButtonSecond;
const CommandT	cmd_TmeD_MdTextEditDate			= cmd_TouchMeDialog+kTmeD_MdTextEditDate;
const CommandT	cmd_TmeD_MdTextEditTime			= cmd_TouchMeDialog+kTmeD_MdTextEditTime;
const CommandT	cmd_TmeD_MdButtonNow			= cmd_TouchMeDialog+kTmeD_MdButtonNow;


const MessageT	msg_TouchMeDialog				= rPPob_TouchMeDialog;
const MessageT	msg_TmeD_ButtonOK				= -(msg_TouchMeDialog+kTmeD_ButtonOK);
const MessageT	msg_TmeD_ButtonCencel			= -(msg_TouchMeDialog+kTmeD_ButtonCencel);
const MessageT	msg_TmeD_ButtonHelp			= msg_TouchMeDialog+kTmeD_ButtonHelp;
const MessageT	msg_TmeD_TouchMeIcon			= msg_TouchMeDialog+kTmeD_TouchMeIcon;
const MessageT	msg_TmeD_Title					= msg_TouchMeDialog+kTmeD_Title;
const MessageT	msg_TmeD_ButtonSync			= msg_TouchMeDialog+kTmeD_ButtonSync;

const MessageT	msg_TmeD_CrCheckbox			= msg_TouchMeDialog+kTmeD_CrCheckbox;
const MessageT	msg_TmeD_CrButtonCurrent		= msg_TouchMeDialog+kTmeD_CrButtonCurrent;
const MessageT	msg_TmeD_CrButtonDirect			= msg_TouchMeDialog+kTmeD_CrButtonDirect;
const MessageT	msg_TmeD_CrButtonFirst			= msg_TouchMeDialog+kTmeD_CrButtonFirst;
const MessageT	msg_TmeD_CrButtonSecond			= msg_TouchMeDialog+kTmeD_CrButtonSecond;
const MessageT	msg_TmeD_CrTextEditDate			= msg_TouchMeDialog+kTmeD_CrTextEditDate;
const MessageT	msg_TmeD_CrTextEditTime			= msg_TouchMeDialog+kTmeD_CrTextEditTime;
const MessageT	msg_TmeD_CrButtonNow			= msg_TouchMeDialog+kTmeD_CrButtonNow;

const MessageT	msg_TmeD_MdCheckbox			= msg_TouchMeDialog+kTmeD_MdCheckbox;
const MessageT	msg_TmeD_MdButtonCurrent		= msg_TouchMeDialog+kTmeD_MdButtonCurrent;
const MessageT	msg_TmeD_MdButtonDirect			= msg_TouchMeDialog+kTmeD_MdButtonDirect;
const MessageT	msg_TmeD_MdButtonFirst			= msg_TouchMeDialog+kTmeD_MdButtonFirst;
const MessageT	msg_TmeD_MdButtonSecond			= msg_TouchMeDialog+kTmeD_MdButtonSecond;
const MessageT	msg_TmeD_MdTextEditDate			= msg_TouchMeDialog+kTmeD_MdTextEditDate;
const MessageT	msg_TmeD_MdTextEditTime			= msg_TouchMeDialog+kTmeD_MdTextEditTime;
const MessageT	msg_TmeD_MdButtonNow			= msg_TouchMeDialog+kTmeD_MdButtonNow;


// Help window
const ResIDT	rPPob_HelpWindow				= 2000;
const MessageT	msg_Open_HelpWindow			= 2000;
const CommandT	cmd_Open_HelpWindow			= 2000;

const CommandT	cmd_HelpMenu					= 2010;

// Touch Command or Message
const CommandT	cmd_Touch						= 3000;
const MessageT	msg_Touch						= 3000;
const CommandT	cmd_SavePrefs					= 3010;
const MessageT	msg_SavePrefs					= 3010;
const CommandT	cmd_SavePrefsWFrame			= 3011;
const MessageT	msg_SavePrefsWFrame			= 3011;
const CommandT	cmd_LoadPrefs					= 3012;
const MessageT	msg_LoadPrefs					= 3012;

// Extra Command orMessage
const CommandT	cmd_TmeD_DroppedFile			= 8000;
const MessageT	msg_TmeD_DroppedFile			= 8000;
const CommandT	cmd_TmeD_DroppedFileCrDate		= 8001;
const MessageT	msg_TmeD_DroppedFileCrDate		= 8001;
const CommandT	cmd_TmeD_DroppedFileCrTime		= 8002;
const MessageT	msg_TmeD_DroppedFileCrTime		= 8002;
const CommandT	cmd_TmeD_DroppedFileMdDate		= 8003;
const MessageT	msg_TmeD_DroppedFileMdDate		= 8003;
const CommandT	cmd_TmeD_DroppedFileMdTime		= 8004;
const MessageT	msg_TmeD_DroppedFileMdTime		= 8004;



#define SignalType_( inType ) \
{\
	Str31	str = "\p1234"; \
	::BlockMoveData( &(inType), &str[1], 4);\
	SignalPStr_(str);\
}

#define SignalNumb_( inNumber ) \
{\
	Str31	str; \
	::NumToString( inNumber, str );\
	SignalPStr_(str);\
}


// end of constants
